<template>
  <new-black-theme-m-header-title v-if="allowTheme" :title="$t('wallet')" />
  <div class="px-2 pt-4 pb-24  wallet-page overflow-y-auto" style="height: calc(100vh - 52px);">
    <div class="space-y-4"  :class="themeColor.Text === 'bk8' ? 'bg-background3' : 'bg-background2'">
      <div class="flex justify-between items-center">
        <div>
          <h4 class="inline mr-2 font-bold">{{ $t("balance") }}</h4>
          <icons @click="getMultiWallets" :is-refresh="true" />
        </div>
        <div
          v-if="isCashPlayer && !depositWithdrawalProperty.IsHidden && !allowTheme"
          class="flex items-center justify-center"
        >
          <el-button type="primary" plain round size="small" @click="goToDeposit"
            ><svg-icon :svgName="'icon-deposit'"/>{{ $t(`deposit${isBhinbhin}`) }}</el-button
          >
          <!-- <el-button
          :disabled="isProcessing"
          type="primary"
          plain
          round
          size="small"
          @click="withdrawalFromGameProvider"
          class="withdrawal-from-game-provider"
        >
          {{ $t("withdrawal_from_game_provider") }}
        </el-button> -->
        </div>
        <div
          v-if="isCashPlayer && !depositWithdrawalProperty.IsHidden && allowTheme"
          class="flex items-center justify-center"
        >
          <el-button
            class="wallet-deposit-btn"
            type="primary"
            plain
            round
            size="small"
            @click="goToDeposit"
          >
            <div
              class="flex flex-row justify-center items-center py-[10px] px-4 gap-1"
            >
              <div class="w-[20px] h-[20px]">
                <img
                  class="w-full h-full"
                  :src="getAssetImage('assets/theme/new_black_theme/Deposit.png')"
                  alt=""
                />
              </div>
              <span class="text-sm font-bold leading-4 text-center">{{ $t(`deposit${isBhinbhin}`) }}</span>
            </div>
          </el-button>
          <!-- <el-button
            :disabled="isProcessing"
            type="primary"
            plain
            round
            size="small"
            @click="withdrawalFromGameProvider"
            class="wallet-withdrawal-btn"
          >
            {{ $t("withdrawal_from_game_provider") }}
          </el-button> -->
        </div>
      </div>
      <div class="border-2 border-color rounded-lg bg-[rgba(0,0,0,0.1)]" v-for="(wallet, index) in wallets" :key="index">
        <div class="p-4 fc-primary border-b-2 border-color">
          <div class="pb-1">
            {{ wallet.getWalletNameForDisplay() }}
          </div>
          <div class="text-xs fc-text4 opacity-50 flex gap-2" v-if="wallet.Category !== 0">
            <div class="min-w-fit">{{ $t('Provider Limit') }}: </div>
            <div>{{  wallet.getProviderNameForDisplay() }}</div>
          </div>
        </div>
        <div class="px-4 py-3">
          <div class="flex justify-between items-center pb-2">
            <div class="fc-secondary">{{ $t('Cash Balance') }}</div>
            <div class="fc-text4">{{ wallet.getBetCreditForDisplay() }}</div>
          </div>
          <div class="flex justify-between items-center pb-2">
            <div class="fc-secondary">{{ $t('Outstanding') }}</div>
            <div class="fc-text4">{{ wallet.getOutstandingForDisplay() }}</div>
          </div>
          <div class="flex justify-between items-center pb-2">
            <div class="fc-secondary">{{ $t('Total Balance') }}</div>
            <div class="fc-text4">{{ wallet.getTotalBalanceForDisplay() }}</div>
          </div>
          <div class="flex flex-col" v-if="wallet.Category !== 0">
            <div class="fc-secondary pb-2">{{ $t('Turnover Progress') }}</div>
            <div class="fc-text4">
              <el-progress
                :text-inside="true"
                :stroke-width="24"
                :percentage="wallet.getTurnoverProgressForDisplay()"
              >
                <div class="flex items-center">{{ wallet.getTurnoverProgressForDisplay().toFixed(2) }} %</div>
              </el-progress>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "Balance",
  setup() {
    const {
      goToDeposit,
      withdrawalFromGameProvider,
      isProcessing,
      depositWithdrawalProperty,
      isCashPlayer,
    } = useWallet();
    const { wallets, getMultiWallets } = useBalanceInfo();
    const arrayTheme = ["main", "black", "sbo", 'global', 'playful'];
    const { themeColor } = themePropertyHelper;
    const allowTheme = computed(() =>
      arrayTheme.includes(store.state.selectedThemeName)
    );
    const { getAssetImage, isBhinbhin } = commonHelper;
    return {
      goToDeposit,
      withdrawalFromGameProvider,
      isProcessing,
      depositWithdrawalProperty,
      isCashPlayer,
      allowTheme,
      getAssetImage,
      themeColor,
      wallets,
      getMultiWallets,
      isBhinbhin,
    };
  },
});
</script>
